com.sun.messaging.jms.management.server

## Class LogNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - com.sun.messaging.jms.management.server.MQNotification
      - - com.sun.messaging.jms.management.server.LogNotification

All Implemented Interfaces:
  Serializable

    public class LogNotification
    extends MQNotification

Class containing information on log related notifications. Log Notifications are sent when an entry in the broker log is made.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `LOG_LEVEL_ERROR`
`static String` `LOG_LEVEL_INFO`
`static String` `LOG_LEVEL_PREFIX`
`static String` `LOG_LEVEL_WARNING`

### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

`PREFIX`

### Fields inherited from class javax.management.Notification

`source`

### Constructor Summary

Constructors
Constructor and Description
`LogNotification(String type, Object source, long sequenceNumber)` Creates a LogNotification object.

### Method Summary

Methods
`String` `getLevel()` Returns the log level related to this log notification.
`String` `getMessage()` Returns message related to this log notification.
`void` `setLevel(String level)` Sets the log level related to this log notification.
`void` `setMessage(String msg)` Sets the message related to this log notification.

### Methods inherited from class javax.management.Notification

`getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LOG_LEVEL_PREFIX

    public static final String LOG_LEVEL_PREFIX

See Also:
  Constant Field Values

#### LOG_LEVEL_WARNING

    public static final String LOG_LEVEL_WARNING

See Also:
  Constant Field Values

#### LOG_LEVEL_ERROR

    public static final String LOG_LEVEL_ERROR

See Also:
  Constant Field Values

#### LOG_LEVEL_INFO

    public static final String LOG_LEVEL_INFO

See Also:
  Constant Field Values

### Constructor Detail

#### LogNotification

    public LogNotification(String type,
                   Object source,
                   long sequenceNumber)

Creates a LogNotification object.

Parameters:
  `type` - The notification type.
  `source` - The notification source.
  `sequenceNumber` - The notification sequence number within the source object.

### Method Detail

#### setMessage

    public void setMessage(String msg)

Sets the message related to this log notification.

Parameters:
  `msg` - The log message for this notification.

#### getMessage

    public String getMessage()

Returns message related to this log notification.

Overrides:
  `getMessage` in class `Notification`
Returns:
  The log message for this notification.

#### setLevel

    public void setLevel(String level)

Sets the log level related to this log notification.

Parameters:
  `level` - The log level for this notification.

#### getLevel

    public String getLevel()

Returns the log level related to this log notification.

Returns:
  The log level for this notification.